<template>
  <div>
    <el-dialog
      :title="title"
      :visible.sync="open"
      width="1200px"
      append-to-body
    >
      <el-form ref="form" :model="propform" label-width="80px">
        <el-form-item label="建议标题" prop="title">
          <el-input v-model="propform.title" placeholder="请输入名称标题" />
        </el-form-item>
        <el-form-item label="快捷标签" prop="kjbq">
          <el-checkbox-group
            v-model="propform.kjbq"
            @change="handleCheckedCitiesChange"
          >
            <el-checkbox
              v-for="(item, index) in dataList"
              :key="index"
              :label="item.id"
              >{{ item.kjbq }}</el-checkbox
            >
          </el-checkbox-group>
        </el-form-item>
        <el-form-item label="建议内容" prop="advice">
          <el-input
            type="textarea"
            v-model="propform.advice"
            :autosize="{ minRows: 9, maxRows: 10 }"
            placeholder="请输入建议"
          />
        </el-form-item>
      </el-form>

      <span slot="footer" class="dialog-footer">
        <el-button @click="open = false">取 消</el-button>
        <el-button type="primary" @click="handleOk">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>
  
<script>
import {
  getTjAdviceKjbqByFl,
  addCyTjAdvice,
} from "@/api/system/biaoqianzidian";
import { getInfo } from "@/api/login";
export default {
  name: "createproposal",
  props: {
    textarea1: String,
  },
  data() {
    return {
      propform: {
        advice: "",
        kjbq: [],
      },
      open: false,
      openone: false,
      // 弹出层标题
      title: "",
      dataList: [],
      // 遮罩层
      loading: false,
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        userId: null,
        qyzt: 0,
      },
      list: [],
      fList: [],
      id: "",
    };
  },
  watch: {

    textarea1(val, newVla) {
      this.propform.advice = val;
    },
  },
  mounted() {
    this.propform.kjbq =[]
    this.getList()
  },

  created() {
        this.getList()
  },
  methods: {
    getList() {
      this.loading = true;
      getInfo().then((res) => {
        this.queryParams.userId = res.user.userId;
        getTjAdviceKjbqByFl(this.queryParams).then((res) => {
          if (res.data) {
            this.dataList = res.data.records;
          }

          this.loading = false;
        });
      });
    },
    handleCheckedCitiesChange(val) {
      val.forEach((item) => {
        this.checkbox += item;
      });
    },
    handleOk() {
      let data = {
        title: this.propform.title,
        isZj: 1,
        kjbq: this.propform.kjbq.toString(),
        advice: this.propform.advice,
      };
      addCyTjAdvice(data).then((res) => {
        if (res.code == 200) {
          this.open = false;
        }
      });

      // if (this.list.length != 0) {
      //   this.$emit("event1", this.list);
      // }
    },
  },
};
</script>
  
<style scoped>
.pag {
  width: 100%;
  display: flex;
  justify-content: center;
}

.pag1 {
  width: 30%;
}
</style>
  